# Share Everywhere

## Table of contents

- [Share Everywhere](#share-everywhere)
  - [Table of contents](#table-of-contents)
  - [Introduction](#introduction)
  - [Requirements](#requirements)
  - [Recommended modules](#recommended-modules)
  - [Installation](#installation)
  - [Configuration](#configuration)
  - [Similar modules](#similar-modules)
    - [Differences to similar modules](#differences-to-similar-modules)
  - [Maintainers](#maintainers)

## Introduction

The **Share Everywhere** module was mainly created for those, who make custom
websites and need the social buttons to fit into their design instead of the
default buttons of social sites. These can be inserted as images or with your
custom CSS code too. Included buttons: Facebook like and share, Twitter,
LinkedIn, Facebook Messenger, Viber, WhatsApp, Copy site URL.

* For a full description of the module, visit the project page:
  [https://www.drupal.org/project/share_everywhere][1]

* To submit bug reports and feature suggestions, or to track changes:
  [https://www.drupal.org/project/issues/share_everywhere][2]

## Requirements

No special requirements.

## Recommended modules

* [Drupal Commerce][3]:
  When this module is enabled, you will have the option to display social
  buttons on product pages.
* [Markdown filter][4]:
  When this module is enabled, display of the project's `README.md` will be
  rendered with the markdown filter when you visit
  `admin/help/share_everywhere`.

## Installation

Install as you would normally install a contributed Drupal module.
See: [Installing modules][5] for further information.

## Configuration

To configure the module, navigate to `admin/config/services/share_everywhere`.
Make required changes as per your site requirement and click on
"Save Configuration" to update configuration.

## Similar modules

* [AddThis][6]
* [AddToAny][7]
* [ShareThis][8]

### Differences to similar modules

* Support for Drupal Commerce
* Easily configurable, fits to any website structure
* It handles the Facebook like button very well,
  which means that it doesn't mess up your design
* With front-end skills, it is easily customizable
* You can turn off the styling and write your CSS using the included SASS file

## Maintainers

Current maintainers:

* Arpad Rozsa (arpad.rozsa) - [https://www.drupal.org/u/arpadrozsa][9]

Design by:
David Malatenszki (malatenszki) - [https://www.drupal.org/u/malatenszki][10]

[1]: https://www.drupal.org/project/share_everywhere
[2]: https://www.drupal.org/project/issues/share_everywhere
[3]: https://drupal.org/project/commerce
[4]: https://drupal.org/project/markdown
[5]: https://drupal.org/documentation/install/modules-themes/modules-8
[6]: https://drupal.org/project/addthis
[7]: https://drupal.org/project/addtoany
[8]: https://drupal.org/project/sharethis
[9]: https://www.drupal.org/u/arpadrozsa
[10]: https://www.drupal.org/u/malatenszki
